/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "../includes/common.h"
#include "../includes/memutils.h"
#include <nfc_int.h>

#define LENGTH 16

char enable_selective_overload = ENABLE_NONE;
extern tNFC_CB nfc_cb;

static void resp_cback(tNFC_RESPONSE_EVT event, tNFC_RESPONSE* p_data) {
  (void) event;
  (void) p_data;
}

int main() {
  nfc_cb.p_resp_cback = resp_cback;

  enable_selective_overload = ENABLE_ALL;
  uint8_t *p_msg = (uint8_t *)malloc(LENGTH);
  if (!p_msg) {
    return EXIT_FAILURE;
  }
  memset(p_msg, 0x01, LENGTH);

  // Set evt_data.tlv_size
  *(p_msg + 5) = 200;
  nfc_ncif_proc_get_routing(p_msg, LENGTH);

  free(p_msg);
  enable_selective_overload = ENABLE_NONE;
  return EXIT_SUCCESS;
}
